Subject: Re: get_maintainer.pl and .mailmap entries with more than 2 addresses

From: Mauro Carvalho Chehab <[email-masked]>
Date: Tue, 2 Aug 2016 21:50:06 -0300

Em Wed, 03 Aug 2016 00:17:10 +0200
Florian Mickler <[email-masked]> escreveu:

> cc'd [email-masked]  (Mauro, is your kernel.org address up?)

Yes, my kernel.org address is up. Better to keep it as the canonical address,
as this is unlikely to change as it is not associated to an e-mail provider.

> 
>  Am Tue, 02 Aug 2016 09:36:21 -0700
> schrieb Joe Perches <[email-masked]>:
> 
> > Hello Florian.
> > 
> > There is at least an oddity with get_maintainer handling of a
> > .mailmap entry form.
> > 
> > For instance:
> > 
> > Mauro's .mailmap entry is:
> > Mauro Carvalho Chehab <[email-masked]> <[email-masked]>
> > <[email-masked]> <[email-masked]> <[email-masked]>
> > <[email-masked]> <[email-masked]>
> > 
> > Is this a valid form?
> > 
> > get_maintainer output for Mauro is:
> > 
> > $ ./scripts/get_maintainer.pl drivers/media/ -f
> > Mauro Carvalho Chehab <[email-masked]> <[email-masked]>
> > <[email-masked]> <[email-masked]> <[email-masked]>
> > <[email-masked]> (maintainer:MEDIA INPUT INFRASTRUCTURE
> > (V4L/DVB))
> > 
> > I believe the Mauro's and Shuah's .mailmap entries are improper and
> > should be changed, but I'm not completely aware of git .mailmap
> > handling and the documentation seems weakly specified.
> >   
> 
> Hmm.. looking at Mauros last .mailmap commit it seems like your patch is
> ok for Mauro. 
> 
> Although <[email-masked]> and <[email-masked]> are probably
> missing? (@Mauro) 

The [email-masked] is indeed an old email that I used on my
first submissions.

I don't know a [email-masked] address... that looks really weird
on my eyes...

Hmm...

$ git log --author "[email-masked]"
commit fe8b671306c78a963934cb5d6e354178390b8c87
Author: Mauro Carvalho Chehab <[email-masked]>
Date:   Thu Sep 30 14:46:47 2010 -0300

    [media] saa7134: port Asus P7131 Hybrid to use the new rc-core
    
    The rc map table were corrected thanks to Giorgio input and tests.
    
    Reported-by: Giorgio Vazzana <[email-masked]>
    Tested-by: Giorgio Vazzana <[email-masked]>
    Signed-off-by: Mauro Carvalho Chehab <[email-masked]>

I don't remember the dirty details about such patch anymore... too
many years ago. From the custody chain, I _suspect_ that Giorgio
proposed a patch to be applied against the saa7134 driver, but the 
remote controller map table was moved to a separate file about 7
months before such patch by those changesets:

6686fa6917ca V4L/DVB: Break Remote Controller keymaps into modules
77b7422d48cd V4L/DVB: ir-common: move IR tables from ir-keymaps.c to a separate file

I likely rewrote his patch against the new driver, but somehow
I mangled with the author name/email. In any case, [email-masked]
should not be associated with me.
 
> <snip console research ... >
> $ git shortlog | grep "^Mauro C"
> Mauro Carvalho Chehab (4404):
> $ git log | grep "^Author:.*Mauro Carvalho Chehab" | sort | uniq -c
>       2 Author: Mauro Carvalho Chehab <[email-masked]>
>     146 Author: Mauro Carvalho Chehab <[email-masked]>
>     645 Author: Mauro Carvalho Chehab <[email-masked]>
>     794 Author: Mauro Carvalho Chehab <[email-masked]>
>    2015 Author: Mauro Carvalho Chehab <[email-masked]>
>     448 Author: Mauro Carvalho Chehab <[email-masked]>
>     353 Author: Mauro Carvalho Chehab <[email-masked]>

All above are my e-mails. Let's point them all to [email-masked].

>       1 Author: Mauro Carvalho Chehab <[email-masked]>

This one is mangled and doesn't belong to me. So, it shouldn't be
at the .mailmap file.

> </snip>
> 
> 
> Anyway, from a technical viewpoint your patches seem to fix
> the .mailmap entry as the author intended. (See Junio's Email for the
> documantation part) 
> But I would wait for the ack from Mauro and Shuah. 

With the above changes,

Acked-by: Mauro Carvalho Chehab <[email-masked]>

Thanks,
Mauro